% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Data_Functions.R
\name{Can}
\alias{Can}
\title{What management procedures can be applied to this Data object?}
\usage{
Can(Data, timelimit = 1, MPs = NA)
}
\arguments{
\item{Data}{A data-limited methods data object (class Data)}

\item{timelimit}{The maximum time (seconds) taken for a method to undertake
10 reps (this filters out methods that are too slow)}

\item{MPs}{Optional list of MP names}
}
\description{
An diagnostic tool that looks up the slot requirements of each MP and
compares this to the data available to limit the analysis to methods that
have the correct data, do not produce errors and run within a time limit.
Time limit is the maximum time taken to carry out five reps (stochastic
samples) of a given method and is in units of seconds.
}
\examples{
CanMPs <- Can(DLMtool::Cobia)
}
\seealso{
\link{Cant} \link{Needed} \link{avail}
}
